#ifndef __CURL_SYNC_H
#define __CURL_SYNC_H
/*****************************************************************************
 *                                  _   _ ____  _     
 *  Project                     ___| | | |  _ \| |    
 *                             / __| | | | |_) | |    
 *                            | (__| |_| |  _ <| |___ 
 *                             \___|\___/|_| \_\_____|
 *
 * Copyright (C) 2000, Daniel Stenberg, <daniel@haxx.se>, et al.
 *
 * In order to be useful for every potential user, curl and libcurl are
 * dual-licensed under the MPL and the MIT/X-derivate licenses.
 *
 * You may opt to use, copy, modify, merge, publish, distribute and/or sell
 * copies of the Software, and permit persons to whom the Software is
 * furnished to do so, under the terms of the MPL or the MIT/X-derivate
 * licenses. You may pick one of these licenses.
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 * KIND, either express or implied.
 *
 *****************************************************************************/

#include "export_to_user.h"

/*
 * The following functions are convenience functions which can be used in libcURL.
 * For example, you can simply call Curl_mutex_lock(...) instead of
 * curl_get_mutex_functions()->lock_function(...).
 *
 * Maybe we should inline them...
 */
curl_mutex_t* Curl_mutex_new(void);
void Curl_mutex_free(curl_mutex_t*);
void Curl_mutex_lock(curl_mutex_t*);
void Curl_mutex_unlock(curl_mutex_t*);


#endif
